--
-- add compost as Spraytype to use it like manure
--

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

    if node ~= 0 then
        local biomassHeapDiffuse = Utils.getFilename("textures/biomasse_diffuse.dds", modDirectory)
        local biomassHeapNormal = Utils.getFilename("$data/fillPlanes/chaff_normal.dds", modDirectory)
        local biomassHeapDistance = Utils.getFilename("$data/fillPlanes/distance/chaffDistance_diffuse.dds", modDirectory)

        local compostHeapDiffuse = Utils.getFilename("textures/compost_diffuse.dds", modDirectory)
        local compostHeapNormal = Utils.getFilename("$data/fillPlanes/manure_normal.dds", modDirectory)
        local compostHeapDistance = Utils.getFilename("$data/fillPlanes/manureDistance_diffuse.dds", modDirectory)

        local compostSprayType = g_sprayTypeManager:addSprayType ("COMPOST", 0.4, "FERTILIZER", 1, isBaseType)

        local compostHeightType = g_densityMapHeightManager:addDensityMapHeightType("COMPOST", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, compostHeapDiffuse, compostHeapNormal, compostHeapDistance, false)

        local compostHeightType = g_densityMapHeightManager:addDensityMapHeightType("BIOMASSE", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, biomassHeapDiffuse, biomassHeapNormal, biomassHeapDistance, false)

    end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)

